Subject: bug#31669: 'guix system' enhancements

From: [email-masked] (Ludovic Courtès)
Date: Fri, 01 Jun 2018 14:58:03 +0200

Hello,

Rutger Helling <[email-masked]> skribis:

> This isn't really a bug, but I noticed that 'guix system' right now cannot use certain common build
> options like 'with-input'. I don't know how hard it would be to add
> that, because I think it could be pretty useful for something like the
> following for example:
>
> guix system reconfigure --with-input=openssl=libressl system.scm

Note that ‘--with-input’ & co. are *package* transformation options, so
the question is which packages we’d apply them to.

We could take those options as applying to all the packages in the
global profile, but it may not be exactly what people would expect
because it would not apply to packages used by Shepherd services.

WDYT?

Ludo’.